call_ids = {
    'UtaMsSimOpenReq': 1,
    'UtaMsSimApduCmdReq': 2,
    'UtaMsSimApplicationReq': 4,
    'UtaMsSimDecodeFcp': 6,
    'UtaMsSimPbReadEntryReq': 0xD,
    'UtaMsSimGenPinReq': 0xF,
    'UtaMsSimModifyLockReq': 0x11,
    'UtaMsSimTkProactiveCommandRsp': 0x16,
    'UtaMsSimTkEnvelopeCommandReq': 0x17,
    'UtaMsSimTkTerminalProfileReadReq': 0x19,
    'UtaMsSimTkRegisterHandler': 0x1C,
    'UtaMsSimTkDeregisterHandler': 0x1D,
    'UtaMsCpsSetModeReq': 0x1F,
    'UtaMsCpsSetStackModeConfiguration': 0x20,
    'UtaMsCpsSetSimModeConfiguration': 0x21,
    'UtaMsCpsReadImei': 0x23,
    'UtaMsCallCsInit': 0x24,
    'UtaMsCbsInit': 0x25,
    'UtaMsSsInit': 0x26,
    'UtaMsSsSendUssdReq': 0x27,
    'UtaMsSsRespondUssd': 0x28,
    'UtaMsSsAbort': 0x29,
    'UtaMsSmsInit': 0x30,
    'UtaMsSmsSendReq': 0x31,
    'UtaMsSmsSetMemoryAvailableReq': 0x34,
    'UtaMsSmsIncomingSmsAck': 0x36,
    'UtaMsSmsSimMsgCountReq': 0x38,
    'UtaMsCallPsInitialize': 0x3A,
    'UtaMsCallPsObtainPdpContextId': 0x3B,
    'UtaMsCallPsReleasePdpContextId': 0x3C,
    'UtaMsCallPsDefinePrimaryReq': 0x3D,
    'UtaMsCallPsUndefinePrimaryReq': 0x3F,
    'UtaMsCallPsGetPrimaryReq': 0x41,
    'UtaMsCallPsSetAuthenticationReq': 0x43,
    'UtaMsCallPsSetDnsReq': 0x45,
    'UtaMsCallPsGetNegotiatedDnsReq': 0x47,
    'UtaMsCallPsGetNegIpAddrReq': 0x49,
    'UtaMsCallPsActivateReq': 0x4B,
    'UtaMsCallPsDeactivateReq': 0x4E,
    'UtaMsCallPsConnectReq': 0x51,
    'UtaMsNetOpen': 0x53,
    'UtaMsNetSetRadioSignalReporting': 0x54,
    'UtaMsNetSingleShotRadioSignalReportingReq': 0x55,
    'UtaMsNetAttachReq': 0x5C,
    'UtaMsNetPsAttachReq': 0x5D,
    'UtaMsNetPsDetachReq': 0x5E,
    'UtaMsNetScanReq': 0x5F,
    'UtaMsNetScanAbort': 0x60,
    'UtaMsNetPowerDownReq': 0x61,
    'UtaMsNetExtScanReq': 0x62,
    'UtaMsNetSetFdConfigReq': 0x6E,
    'UtaMsNetGetFdConfigReq': 0x71,
    'UtaMsNetConfigureNetworkModeReq': 0x73,
    'UtaMsNetRatModeStatusReq': 0x76,
    'UtaNvmRead': 0x79,
    'UtaNvmWrite': 0x7A,
    'UtaNvmWriteCommit': 0x7B,
    'UtaSysGetInfo': 0x7C,
    'UtaRPCPSConnectSetupReq': 0x7D,
    'UtaRPCPsConnectToDatachannelReq': 0x7E,
    'UtaRPCPSConnectReleaseReq': 0x7F,
    'UtaMsNetDcSetVoiceDomainPreferenceConfigReq': 0x80,
    'UtaMsCallCsSetupVoiceCallReq': 0x82,
    'UtaMsCallCsReleaseCallReq': 0x88,
    'UtaMsCallCsAcceptCallReq': 0x8D,
    'UtaMsCallCsSwapCallsReq': 0x90,
    'UtaMsCallCsHoldCallReq': 0x92,
    'UtaMsCallCsRetrieveCallReq': 0x94,
    'UtaMsCallCsSplitMptyReq': 0x96,
    'UtaMsCallCsJoinCallsReq': 0x98,
    'UtaMsCallCsTransferCallsReq': 0x9A,
    'UtaMsCallCsStartDtmfReq': 0x9C,
    'UtaMsCallCsStopDtmfReq': 0x9E,
    'UtaMsCallCsSetUus1Info': 0xA6,
    'UtaMsCallCsSetTtyDeviceMode': 0xA7,
    'UtaMsCallCsGetTtyDeviceMode': 0xA8,
    'UtaMsCallMultimediaSetupCallReq': 0xAC,
    'UtaMsCallMultimediaUpdateCallReq': 0xAD,
    'UtaMsCpsSetSimModeReq': 0xB0,
    'UtaMsSsCallForwardReq': 0xB2,
    'UtaMsSsCallWaitingReq': 0xB4,
    'UtaMsSsCallBarringReq': 0xB6,
    'UtaMsSsIdentificationReq': 0xB8,
    'UtaMsSmsSetSendMoreMessagesStatus': 0xBA,
    'UtaMsSmsDataDownloadReq': 0xBB,
    'UtaMsSmsDataDownloadAck': 0xBD,
    'UtaMsCallPsGetNegQosReq': 0xBE,
    'UtaMsCallPsGetTftReq': 0xC0,
    'UtaMsCallPsSetPcoReq': 0xC2,
    'UtaMsCallPsGetNwPcoReq': 0xC4,
    'UtaMsCallPsNwActivateAcceptReq': 0xC7,
    'UtaMsCallPsNwActivateRejectReq': 0xC9,
    'UtaMsCallPsSetDataPrefReq': 0xCD,
    'UtaMsCbsStartReq': 0xCF,
    'UtaMsCbsStopReq': 0xD0,
    'UtaMsCbsSetMsgFilter': 0xD3,
    'UtaMsCbsGetMsgFilter': 0xD4,
    'UtaMsCbsEtwsConfigReq': 0xD6,
    'UtaMsCbsEtwsStartReq': 0xD8,
    'UtaMsCbsEtwsStopReq': 0xDA,
    'UtaMsCpsNvmWrite': 0xDE,
    'UtaMsCpsNvmRead': 0xDF,
    'UtaMsNetConfigureRxDiversityDarp': 0xE0,
    'UtaMsNetLdrGetApnParameterList': 0xE2,
    'UtaMsNetTimeInfoReadReq': 0xE3,
    'UtaMsNetSetCsgConfigReq': 0xE6,
    'UtaMsNetBandStatusReq': 0xE7,
    'UtaMsNetGetExtendedRadioSignalInfoReq': 0xEC,
    'UtaMsNetDetachReq': 0xEF,
    'UtaMsNetSelectGprsClassReq': 0xF1,
    'UtaMsNetGetCsgConfigReq': 0xF3,
    'UtaMsNetCsServiceNotificationAccept': 0xF4,
    'UtaMsNetSingleShotFdReq': 0xF9,
    'UtaMsSimPbLocationReq': 0xFB,
    'UtaMsSimPbReadGasEntryReq': 0xFD,
    'UtaMsSimPbWriteEntryReq': 0xFF,
    'UtaMsSimPbGetMetaInformationReq': 0x101,
    'UtaMsSimPbUsimPbSelectReq': 0x103,
    'UtaMsSimPbGetFreeRecordsReq': 0x105,
    'UtaMsSimCreateReadBinaryApdu': 0x10A,
    'UtaMsSimCreateUpdateBinaryApdu': 0x10B,
    'UtaMsSimAnalyseReadResult': 0x10C,
    'UtaMsSimSetFdnReq': 0x10E,
    'SetApScreenState': 0x110,
    'UtaIoCtl': 0x111,
    'UtaIdcApMsgSetReq': 0x114,
    'UtaIdcApMsgGetReq': 0x115,
    'UtaIdcEnbleReq': 0x116,
    'UtaIdcCwsMsgSetReq': 0x119,
    'UtaIdcCwsMsgGetReq': 0x11A,
    'UtaIdcSubscribeIndications': 0x11C,
    'UtaIdcUnsubscribeIndications': 0x11D,
    'UtaBootPrepareShutdownReq': 0x11F,
    'UtaBootShutdownReq': 0x120,
    'UtaRfMaxTxPwrSet2g': 0x121,
    'UtaRfMaxTxPwrSet3g': 0x122,
    'UtaRfMaxTxPwrSet4g': 0x123,
    'UtaFreqInfoActivateReq': 0x128,
    'UtaFreqInfoGetFreqInfoReq': 0x129,
    'UtaFreqInfoDeactivateReq': 0x12A,
    'UtaFreqInfoRegisterIndications': 0x12B,
    'UtaFreqInfoDeregisterIndications': 0x12C,
    'UtaModeSetReq': 0x12F,
    'UtaNvmFlushSync': 0x130,
    'UtaProdRegisterGtiCallbackFunc': 0x132,
    'UtaProdGtiCmdReq': 0x133,
    'UtaCellTimeStampReq': 0x134,
    'UtaMsSsLcsInit': 0x136,
    'UtaMsSsLcsMoLocationReq': 0x137,
    'UtaMsSsLcsMtlrNotificationRsp': 0x139,
    'UtaMsCpAssistanceDataInjectReq': 0x13C,
    'UtaMsCpResetAssistanceData': 0x13D,
    'UtaMsCpPosMeasurementReq': 0x140,
    'UtaMsCpPosMeasurementAbortReq': 0x142,
    'UtaMsCpPosEnableMeasurementReport': 0x144,
    'UtaMsCpPosDisableMeasurementReport': 0x145,
    'UtaMsSimTkInit': 0x146,
    'UtaMsSimTkExecSmsPpRsp': 0x148,
    'UtaMsSimTkExecSimInitiatedCallRsp': 0x14A,
    'UtaMsSimTkExecSsUssdRsp': 0x14C,
    'UtaMsSimTkExecDtmfRsp': 0x14E,
    'UtaMsSimTkStopDtmfReq': 0x150,
    'UtaMsSimTkRefreshConfirmRsp': 0x152,
    'UtaMsSimTkRefreshFcnRsp': 0x154,
    'UtaMsSimTkControlReq': 0x155,
    'UtaMsSimTkTerminalProfileDownloadReq': 0x157,
    'UtaMs3gpp2SmsSendReq': 0x15A,
    'UtaMs3gpp2SmsSubscribeIndications': 0x15C,
    'UtaMs3gpp2SmsUnsubscribeIndications': 0x15D,
    'RpcGetRemoteVerInfo': 0x15E,
    'UtaMsMetricsRegisterHandler': 0x160,
    'UtaMsMetricsDeregisterHandler': 0x161,
    'UtaMsMetricsSetOptions': 0x162,
    'UtaMsMetricsTrigger': 0x163,
    'UtaMsEmbmsInit': 0x164,
    'UtaMsEmbmsSetServiceReq': 0x165,
    'UtaMsEmbmsMbsfnAreaConfigReq': 0x166,
    'UtaMsEmbmsSessionConfigReq': 0x167,
    'UtaMsEmbmsSetInterestedTMGIListReq': 0x168,
    'UtaMsEmbmsSetInterestedSAIFreqReq': 0x169,
    'UtaImsSubscribeIndications': 0x176,
    'UtaImsUnsubscribeIndications': 0x177,
    'UtaImsGetFrameworkState': 0x178,
    'UtaRtcGetDatetime': 0x179,
    'UtaMsSimAnalyseSimApduResult': 0x17A,
    'UtaMsSimOpenChannelReq': 0x17B,
    'UtaMsSimCloseChannelReq': 0x17D,
    'UtaMsSimSetBdnReq': 0x17F,
    'UtaMsSetSimStackMappingReq': 0x181,
    'UtaMsGetSimStackMappingReq': 0x183,
    'UtaMsNetSetRadioSignalReportingConfiguration': 0x188,
    'UtaPCIeEnumerationextTout': 0x189,
    'UtaMsSimTkSetTerminalCapabilityReq': 0x18A,
    'UtaMsSimTkReadTerminalCapabilityReq': 0x18C,
    'CsiFccLockQueryReq': 0x18E,
    'CsiFccLockGenChallengeReq': 0x190,
    'CsiFccLockVerChallengeReq': 0x192,
    'UtaSensorOpenReq': 0x194,
    'UtaSensorCloseExt': 0x197,
    'UtaSensorStartExt': 0x198,
    'UtaSensorSetAlarmParamExt': 0x199,
    'UtaSensorSetSchedulerParamExt': 0x19A,
    'CsiSioIpFilterCntrlSetReq': 0x19B,
    'UtaMsAccCurrentFreqInfoReq': 0x19D,
    'CsiTrcAtCmndReq': 0x1A0,
    'UtaMsSimApduCmdExtReq': 0x1A2,
    'UtaMsNetGetPlmnNameInfoReq': 0x1A4,
    'UtaMsNetGetCountryListReq': 0x1A7,
    'UtaMsNetExtConfigureNetworkModeReq': 0x1A9,
    'UtaMsNetExtBandStatusReq': 0x1AC,
    'UtaMsCallPsAttachApnConfigReq': 0x1AF,
    'CsiMsCallPsInitialize': 0x1B1,
    'UtaAudioEnableSource': 0x1B2,
    'UtaAudioDisableSource': 0x1B3,
    'UtaAudioConfigureDestinationExt': 0x1B4,
    'UtaAudioSetDestinationsForSource': 0x1B5,
    'UtaAudioSetVolumeForSource': 0x1B6,
    'UtaAudioSetMuteForSourceExt': 0x1B7,
    'UtaAudioSetVolumeForDestination': 0x1B8,
    'UtaAudioSetMuteForDestinationExt': 0x1B9,
    'UtaAudioConfigureSourceExt': 0x1BA,
    'UtaAudioSetDestinationsForSourceExt': 0x1BB,
    'UtaRPCScreenControlReq': 0x1BC,
    'UtaMsCallPsReadContextStatusReq': 0x1BD,
    'CsiMsSimAccessGetSimStateInfoReq': 0x1BF,
    'CsiMsNetGetRegistrationInfoReq': 0x1C1,
    'CsiSioIpFilterNewCntrlSetReq': 0x1C3,
    'CsiMsNetLdrGetApnPlmnParameterListReq': 0x1C5,
    'RPCGetAPIParamChangedBitmap': 0x1c8,
}
